## org.codehaus.groovy.util
Class TripleKeyHashMap.Entry

    java.lang.Object
      org.codehaus.groovy.util.ComplexKeyHashMap.Entry
          org.codehaus.groovy.util.TripleKeyHashMap.Entry

Enclosing class:
  TripleKeyHashMap

    public static class TripleKeyHashMap.Entry
    extends ComplexKeyHashMap.Entry

Field Summary
Modifier and Type | Field and Description
--- | ---
`Object` `key1`
`Object` `key2`
`Object` `key3`

Fields inherited from class org.codehaus.groovy.util.ComplexKeyHashMap.Entry
`hash, next, value`

Constructor Summary
Constructor and Description
`TripleKeyHashMap.Entry()`

Method Summary
Modifier and Type | Method and Description
--- | ---

Methods inherited from class org.codehaus.groovy.util.ComplexKeyHashMap.Entry
`getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key1

    public Object key1

### key2

    public Object key2

### key3

    public Object key3

Constructor Detail

### TripleKeyHashMap.Entry

    public TripleKeyHashMap.Entry()

Copyright © 2003-2010 The Codehaus. All rights reserved.